Index: branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs
===================================================================
--- branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 97)
@@ -4775,6 +3728,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -4805,7 +3759,7 @@
         private bool CnvDepartmentmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMDepartment InDB = new ProcessManagement.OracleDB.IOAccess.IOMDepartment();
-            ProcessManagement.MySQLDB.IOAccess.IOMDepartment OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMDepartment();
+            ProcessManagement.DB.IOAccess.IOMDepartment OutDB = new ProcessManagement.DB.IOAccess.IOMDepartment();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -4819,48 +3773,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<DepartmentMaster> BuffList = new List<DepartmentMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMDepartment.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        DepartmentMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.DepartmentCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(",'{0}'", CurRec.DepartmentString.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ActionScheduleFlg.ToString());
-                        strSQL += string.Format(", {0}", CurRec.StaffAssignFlg.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -4867,6 +3793,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -4897,7 +3824,7 @@
         private bool CnvDivisionmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMDivision InDB = new ProcessManagement.OracleDB.IOAccess.IOMDivision();
-            ProcessManagement.MySQLDB.IOAccess.IOMDivision OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMDivision();
+            ProcessManagement.DB.IOAccess.IOMDivision OutDB = new ProcessManagement.DB.IOAccess.IOMDivision();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -4911,47 +3838,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<DivisionMaster> BuffList = new List<DivisionMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMDivision.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        DivisionMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.DivisionCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.NameCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(",'{0}'", CurRec.NameString.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -4958,6 +3858,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -4988,7 +3889,7 @@
         private bool CnvEstimatebudget(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOEstimateBudget InDB = new ProcessManagement.OracleDB.IOAccess.IOEstimateBudget();
-            ProcessManagement.MySQLDB.IOAccess.IOEstimateBudget OutDB = new ProcessManagement.MySQLDB.IOAccess.IOEstimateBudget();
+            ProcessManagement.DB.IOAccess.IOEstimateBudget OutDB = new ProcessManagement.DB.IOAccess.IOEstimateBudget();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -5002,52 +3903,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<EstimateBudget> BuffList = new List<EstimateBudget>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOEstimateBudget.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        EstimateBudget CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);                    // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.ConstructionTime);	                // 工期
-                        strSQL += string.Format(", {0}", CurRec.IntegratedCode);                      // 積算者
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')",
-                                                        CurRec.DataCreateDate.ToShortDateString());   // データ引込日
-                        strSQL += string.Format(", {0}", CurRec.RetValue1);                           // 予定価格
-                        strSQL += string.Format(", {0}", CurRec.RetValue2);                           // 直接工事費
-                        strSQL += string.Format(", {0}", CurRec.RetValue3);                           // 積み上げ共通仮設費
-                        strSQL += string.Format(", {0}", CurRec.RetValue4);                           // 積み上げ現場管理費
-                        strSQL += string.Format(", {0}", CurRec.RetPercent);                          // 一般管理費率
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -5054,6 +3923,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -5084,7 +3954,7 @@
         private bool CnvEstimatebudgetdetail(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOEstimateBudgetDetail InDB = new ProcessManagement.OracleDB.IOAccess.IOEstimateBudgetDetail();
-            ProcessManagement.MySQLDB.IOAccess.IOEstimateBudgetDetail OutDB = new ProcessManagement.MySQLDB.IOAccess.IOEstimateBudgetDetail();
+            ProcessManagement.DB.IOAccess.IOEstimateBudgetDetail OutDB = new ProcessManagement.DB.IOAccess.IOEstimateBudgetDetail();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -5098,53 +3968,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<EstimateBudgetDetail> BuffList = new List<EstimateBudgetDetail>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOEstimateBudgetDetail.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        EstimateBudgetDetail CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);        // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.GroupCount);              // グループ番号
-                        strSQL += string.Format(", {0}", CurRec.LineCount);               // 行番号
-                        strSQL += string.Format(", {0}", CurRec.ComponentCode);           // 構成キー
-                        strSQL += string.Format(", {0}", CurRec.ItemCode);		        // 工種キー
-                        strSQL += string.Format(", {0}", CurRec.CompanyCode);             // 協力会社コード
-                        strSQL += string.Format(",'{0}'", CurRec.FirstString);            // 構成名称
-                        strSQL += string.Format(",'{0}'", CurRec.SecondString);           // 工種名称・協力会社名
-                        strSQL += string.Format(", {0}", CurRec.EstimatePrice);           // 見積時金額
-                        strSQL += string.Format(", {0}", CurRec.NegotiationPrice);        // 交渉時金額
-                        strSQL += string.Format(",'{0}'", CurRec.Notes);                  // 注意事項
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -5151,6 +3988,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -5181,7 +4019,7 @@
         private bool CnvEstimatedata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOEstimateData InDB = new ProcessManagement.OracleDB.IOAccess.IOEstimateData();
-            ProcessManagement.MySQLDB.IOAccess.IOEstimateData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOEstimateData();
+            ProcessManagement.DB.IOAccess.IOEstimateData OutDB = new ProcessManagement.DB.IOAccess.IOEstimateData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -5195,52 +4033,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<EstimateData> BuffList = new List<EstimateData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOEstimateData.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        EstimateData CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);        // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.LineCount);               // 行番号
-                        strSQL += string.Format(", {0}", CurRec.ComponentCode);           // 構成キー
-                        strSQL += string.Format(",'{0}'", CurRec.FixedItemCode);		    // 固定項目キー
-                        strSQL += string.Format(",'{0}'", CurRec.ItemName.Replace(",", "，"));     // 作業名称
-                        strSQL += string.Format(",'{0}'", CurRec.SpecName.Replace(",", "，"));     // 品質・形状・寸法
-                        strSQL += string.Format(", {0}", CurRec.PriceValue);                      // 金額
-                        strSQL += string.Format(",'{0}'", CurRec.Note.Replace(",", "，"));		// 備考
-                        strSQL += string.Format(", {0}", CurRec.MyExpensesFlg);           // 自社経費フラグ
-                        strSQL += string.Format(", {0}", CurRec.InputFlg);                // 入力フラグ
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -5247,6 +4053,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -5277,7 +4084,7 @@
         private bool CnvEstimatedatabody(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOEstimateDataBody InDB = new ProcessManagement.OracleDB.IOAccess.IOEstimateDataBody();
-            ProcessManagement.MySQLDB.IOAccess.IOEstimateDataBody OutDB = new ProcessManagement.MySQLDB.IOAccess.IOEstimateDataBody();
+            ProcessManagement.DB.IOAccess.IOEstimateDataBody OutDB = new ProcessManagement.DB.IOAccess.IOEstimateDataBody();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -5291,51 +4098,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<EstimateDataBody> BuffList = new List<EstimateDataBody>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOEstimateDataBody.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        EstimateDataBody CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);    // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.PageCount);		    // ページ番号
-                        strSQL += string.Format(", {0}", CurRec.Category);		    // ページ区分
-                        strSQL += string.Format(", {0}", CurRec.UnionComponentCode);	// 所属構成キー
-                        strSQL += string.Format(", {0}", CurRec.ComponentCode);	    // 構成キー
-                        strSQL += string.Format(", {0}", CurRec.ItemCode);		    // 工種キー
-                        strSQL += string.Format(", {0}", CurRec.SelectComponent);	    // 選択構成キー
-                        strSQL += string.Format(",'{0}'", CurRec.PageTitle);	        // ページ表示名
-                        strSQL += string.Format(", {0}", CurRec.DetailLineCount);     // 明細行番号
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -5342,6 +4118,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -5372,7 +4149,7 @@
         private bool CnvEstimatedatadetail(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOEstimateDataDetail InDB = new ProcessManagement.OracleDB.IOAccess.IOEstimateDataDetail();
-            ProcessManagement.MySQLDB.IOAccess.IOEstimateDataDetail OutDB = new ProcessManagement.MySQLDB.IOAccess.IOEstimateDataDetail();
+            ProcessManagement.DB.IOAccess.IOEstimateDataDetail OutDB = new ProcessManagement.DB.IOAccess.IOEstimateDataDetail();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -5386,59 +4163,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<EstimateDataDetail> BuffList = new List<EstimateDataDetail>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOEstimateDataDetail.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        EstimateDataDetail CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);    // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.PageCount);		    // ページ番号
-                        strSQL += string.Format(", {0}", CurRec.LineCount);		    // 行番号
-                        strSQL += string.Format(", {0}", CurRec.DataType);		    // データタイプ
-                        strSQL += string.Format(", {0}", CurRec.ComponentCode);	    // 構成キー
-                        strSQL += string.Format(", {0}", CurRec.ItemCode);		    // 工種キー
-                        strSQL += string.Format(", {0}", CurRec.SpecCode);		    // 規格・寸法キー
-                        strSQL += string.Format(",'{0}'", CurRec.ItemName.Replace(",", "，").Replace("'", "’"));		    // 作業名称
-                        strSQL += string.Format(",'{0}'", CurRec.SpecName.Replace(",", "，").Replace("'", "’"));		    // 作業／品質・形状・寸法
-                        strSQL += string.Format(", {0}", CurRec.UnitCount);		    // 数量
-                        strSQL += string.Format(",'{0}'", CurRec.UnitName);		    // 単位
-                        strSQL += string.Format(", {0}", CurRec.UnitPrice);		    // 単価
-                        strSQL += string.Format(", {0}", CurRec.LineTotal);		    // 金額
-                        strSQL += string.Format(",'{0}'", CurRec.Note.Replace(",", "，").Replace("'", "’"));			    // 備考
-                        strSQL += string.Format(", {0}", CurRec.CompanyCode);		    // 協力会社コード
-                        strSQL += string.Format(", {0}", CurRec.MyExpensesFlg);       // 自社経費フラグ
-                        strSQL += string.Format(", {0}", CurRec.InputFlg);            // 入力フラグ
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -5445,6 +4183,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -5475,7 +4214,7 @@
         private bool CnvHolidaycalendermaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMHolidayCalender InDB = new ProcessManagement.OracleDB.IOAccess.IOMHolidayCalender();
-            ProcessManagement.MySQLDB.IOAccess.IOMHolidayCalender OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMHolidayCalender();
+            ProcessManagement.DB.IOAccess.IOMHolidayCalender OutDB = new ProcessManagement.DB.IOAccess.IOMHolidayCalender();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -5489,43 +4228,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<HolidayCalenderMaster> BuffList = new List<HolidayCalenderMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMHolidayCalender.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        HolidayCalenderMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.Holiday.ToShortDateString());
-                        strSQL += string.Format(" ,{0}", CurRec.BusinessYear.ToString());
-                        strSQL += string.Format(" ,{0}", CurRec.TargetMonth.ToString());
-                        strSQL += string.Format(" ,{0}", CurRec.TargetDay.ToString());
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -5532,6 +4248,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -5562,7 +4279,7 @@
         private bool CnvInputsearchlogdata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOInputSearchLogData InDB = new ProcessManagement.OracleDB.IOAccess.IOInputSearchLogData();
-            ProcessManagement.MySQLDB.IOAccess.IOInputSearchLogData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOInputSearchLogData();
+            ProcessManagement.DB.IOAccess.IOInputSearchLogData OutDB = new ProcessManagement.DB.IOAccess.IOInputSearchLogData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
